C.........................................................Feb. 2020
C
c VERIFICATION OF MEDIAN ================
      subroutine submed477(ndnr,ncol)
C
C Median smed, for 137 lines X 72 cols at specified hour 
C
C Input file: CC(ndnr,72) for ndnr days, 
C ncol=48 for hours since storm onset t=-24,...-1,0,1,...,47
C Number days for median : ndnr=67	
C Output array: SMED(48)
C
	DIMENSION CC(477,72),SMED(72),X1(477),X2(477)
		COMMON /BL1/CC,SMED
C "MEDIAN:"
       DO 1030 M=1,ncol
      MM=0
      DO N=1,ndnr
      X1(N)=CC(N,M)
      ENDDO 
  880 XX=0.
CREM MAX X1(N)
  890 DO N=1,ndnr
  900 IF (XX.lt.X1(N)) THEN 
      XX=X1(N)
	ENDIF
      ENDDO      !N
  920 IF (XX.eq.0) GOTO 980
C
  930 DO 960 N=1,ndnr
      IF (X1(N).lt.XX) GOTO 960
      MM=MM+1 
      X2(MM)=XX 
	X1(N)=0.
  960 CONTINUE      ! N
  970 IF (MM.lt.NDNR) GOTO 880
  980 XMM=FLOAT(MM)
      XD1=XMM/2.
      ND1=INT(XD1)
	CD1=FLOAT(ND1) 
      ND2=ND1+1 
      IF (CD1.LT.XD1) THEN 
	XMD=X2(ND2)
	else
	XMD=(X2(ND1)+X2(ND2))/2.
	ENDIF
C
 1020 SMED(M)=XMD
 1030 CONTINUE
c
 1050 RETURN
      END